GNU bug report logs - #68560
[PATCH 0/5] Disable failing leptonica tests.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Herman Rimm <herman@HIDDEN>; Keywords: patch; dated Thu, 18 Jan 2024 07:08:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 68560 <at> debbugs.gnu.org:


Received: (at 68560) by debbugs.gnu.org; 18 Jan 2024 07:27:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 02:27:18 2024
Received: from localhost ([127.0.0.1]:54223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQMo2-0001s1-1I
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:18 -0500
Received: from 81-205-150-117.fixed.kpn.net ([81.205.150.117]:33555
 helo=email.rimm.ee) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <herman@HIDDEN>) id 1rQMny-0001r7-1L
 for 68560 <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rimm.ee; s=herman;
 t=1705562831;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=UAWUiKOI++a/QbLfwaQgBAgvt2wJ+Xm4UtAU5ZI5+mM=;
 b=gzvLHKwnEmcuWcwQoACdfBpwEfKcUmNVawafWEvp6h5+ZdpHSFTaGCItoubtJhS++daiqx
 Tr7/TkF3T0xq0GwBuU5nQnNO8/5lxlot+nRAPbk8dWraLZ9+wujG6IMoVD6d4kNJO7vjxu
 2YyIcNYl5J2xCXw0UOFjbdzJZs7lQ5UDlRoigGv/YRjnbkPYgVY/+UenA2o4F9jXMDjToe
 JFtHYLNuuYiK9W10H+sG0H4o/eQUPFRA06UAaSct8by+TNO/r+bHxduazExuAlI36lLf3o
 0wjPK6Ls4PCciw/RH5gwZNvTD9ZW9DHJl8FA+HpO3HDFG7lx/JYhDaYuvFZRFA==
Received: by 81-205-150-117.fixed.kpn.net (OpenSMTPD) with ESMTPSA id 5fec9996
 (TLSv1.3:TLS_CHACHA20_POLY1305_SHA256:256:NO); 
 Thu, 18 Jan 2024 07:27:11 +0000 (UTC)
From: Herman Rimm <herman@HIDDEN>
To: 68560 <at> debbugs.gnu.org
Subject: [PATCH v2 4/4] gnu: libpng: Update to 1.6.40.
Date: Thu, 18 Jan 2024 08:26:38 +0100
Message-ID: <653175f23adc674852780816509fa201a789ed98.1705562438.git.herman@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1705562438.git.herman@HIDDEN>
References: <cover.1705562438.git.herman@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/image.scm (libpng, libpng-apng): Update to
 1.6.40. Change-Id: I7e8aeac53e862c768baf58f6bb18211a4bd801f8 ---
 gnu/packages/image.scm
 | 10 +++++----- 1 file changed, 5 insertions(+), 5 deletions(-) 
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [81.205.150.117 listed in zen.spamhaus.org]
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 68560
Cc: Herman Rimm <herman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/image.scm (libpng, libpng-apng): Update to
    1.6.40. Change-Id: I7e8aeac53e862c768baf58f6bb18211a4bd801f8 --- gnu/packages/image.scm
    | 10 +++++----- 1 file changed, 5 insertions(+), 5 deletions(-) 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [81.205.150.117 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

  * gnu/packages/image.scm (libpng, libpng-apng): Update to 1.6.40.

Change-Id: I7e8aeac53e862c768baf58f6bb18211a4bd801f8
---
 gnu/packages/image.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index 6ba2c2464f..3fd3548766 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -199,7 +199,7 @@ (define-public iqa
 (define-public libpng
   (package
    (name "libpng")
-   (version "1.6.37")  ; Remember to also update libpng-apng if possible!
+   (version "1.6.40")  ; Remember to also update libpng-apng if possible!
    (source (origin
             (method url-fetch)
             (uri (list (string-append "mirror://sourceforge/libpng/libpng16/"
@@ -212,7 +212,7 @@ (define-public libpng
                         "/libpng16/libpng-" version ".tar.xz")))
             (sha256
              (base32
-              "1jl8in381z0128vgxnvn33nln6hzckl7l7j9nqvkaf1m9n1p0pjh"))))
+              "18dk04x3ypg0vdk4zgkqg7r8xyq6b592mnf67qd27zv74jdlfnsk"))))
    (build-system gnu-build-system)
    (arguments
     `(#:configure-flags '("--disable-static")))
@@ -231,7 +231,7 @@ (define-public libpng-apng
   ;; The APNG patch is maintained separately and may lag behind upstream libpng.
   (package
     (name "libpng-apng")
-    (version "1.6.39")
+    (version "1.6.40")
     (source
      (origin
        (method url-fetch)
@@ -244,7 +244,7 @@ (define-public libpng-apng
                    "ftp://ftp.simplesystems.org/pub/libpng/png/src/history"
                    "/libpng16/libpng-" version ".tar.xz")))
        (sha256
-        (base32 "0dv90dxvmqpk7mbywyjbz8lh08cv4b0ksqp1y62mzvmlf379cihz"))))
+        (base32 "18dk04x3ypg0vdk4zgkqg7r8xyq6b592mnf67qd27zv74jdlfnsk"))))
     (build-system gnu-build-system)
     (arguments
      `(#:modules ((guix build gnu-build-system)
@@ -276,7 +276,7 @@ (define-public libpng-apng
                                   version "/libpng-" version "-apng.patch.gz"))
                   (sha256
                    (base32
-                    "1z8cx011a2c7vagwgi92rbmky1wi8awmrdldqh9f5k80pbmbdi2a"))))))
+                    "0byvav9xh6njrsrl8i32nnhna37fqz9bwqi6f9n8v3ckh9ja8g0a"))))))
     (native-inputs
      (list libtool))
     ;; libpng.la says "-lz", so propagate it.
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68560; Package guix-patches. Full text available.

Message received at 68560 <at> debbugs.gnu.org:


Received: (at 68560) by debbugs.gnu.org; 18 Jan 2024 07:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 02:27:14 2024
Received: from localhost ([127.0.0.1]:54221 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQMny-0001rm-KT
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:14 -0500
Received: from 81-205-150-117.fixed.kpn.net ([81.205.150.117]:33555
 helo=email.rimm.ee) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <herman@HIDDEN>) id 1rQMnu-0001r7-0j
 for 68560 <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rimm.ee; s=herman;
 t=1705562825;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=jP1Mzn+TMTZIeLl/jiuoCXavBIqVgSRV109hsuqWsP8=;
 b=jS/ZoPHEMqTy0laEiUv0LiFWf47fQyRl9qcK/jnBP0xRjlNc9dOl8NsvlGUjAgNaH12dr2
 9FqETvO+nuLlFnhQcRA+P45h//5Bm6ksVIX0BbI8/+I0ppUE3R8MWuBENnGXr+AMdNsAPy
 3VFVsZJAHFogH0vnldgyk74JvJPK4EQfX/GXSzuyyFhXltx6s3NXTpDySV+3nHunBKO28W
 +MSO2hcAvc3Kx7t0fv/om0aEvmuMPAjVpQ2RCN3j5cR6AE8AVkuQO+PgJQGdgyeTbIsKBf
 69FHrBPKVTlE/MjNMsI1VBD2xVo+aUxwwy640esjcmWE8Wd+fFX82252uHT2yQ==
Received: by 81-205-150-117.fixed.kpn.net (OpenSMTPD) with ESMTPSA id 59aac694
 (TLSv1.3:TLS_CHACHA20_POLY1305_SHA256:256:NO); 
 Thu, 18 Jan 2024 07:27:05 +0000 (UTC)
From: Herman Rimm <herman@HIDDEN>
To: 68560 <at> debbugs.gnu.org
Subject: [PATCH v2 3/4] gnu: leptonica: Update to 1.84.1.
Date: Thu, 18 Jan 2024 08:26:37 +0100
Message-ID: <9ebaecf00acead8f127be00bbea92875ae88f6a0.1705562438.git.herman@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1705562438.git.herman@HIDDEN>
References: <cover.1705562438.git.herman@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/image.scm (leptonica): Update to 1.84.1.
 [inputs]:
 Replace with libjpeg-turbo-3 and openjpeg-2024. [arguments]: Add phase to
 disable ioformats_reg and pngio_reg tests. Change-Id:
 I31e104532c87fbe3a5648ef8c0f3c8961877b15b
 --- gnu/packages/image.scm | 13 +++++++++---- 1 file changed, 9 insertions(+), 
 4 deletions(-) 
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [81.205.150.117 listed in zen.spamhaus.org]
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 68560
Cc: Herman Rimm <herman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/image.scm (leptonica): Update to 1.84.1. [inputs]:
    Replace with libjpeg-turbo-3 and openjpeg-2024. [arguments]: Add phase to
    disable ioformats_reg and pngio_reg tests. Change-Id: I31e104532c87fbe3a5648ef8c0f3c8961877b15b
    --- gnu/packages/image.scm | 13 +++++++++---- 1 file changed, 9 insertions(+),
    4 deletions(-) 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [81.205.150.117 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

  * gnu/packages/image.scm (leptonica): Update to 1.84.1.
  [inputs]: Replace with libjpeg-turbo-3 and openjpeg-2024.
  [arguments]: Add phase to disable ioformats_reg and pngio_reg tests.

Change-Id: I31e104532c87fbe3a5648ef8c0f3c8961877b15b
---
 gnu/packages/image.scm | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index 9b120760ae..6ba2c2464f 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -752,7 +752,7 @@ (define-public libtiff
 (define-public leptonica
   (package
     (name "leptonica")
-    (version "1.83.1")
+    (version "1.84.1")
     (source
      (origin
        (method git-fetch)
@@ -761,7 +761,7 @@ (define-public leptonica
              (commit version)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "1j7qf9flb48q0aymf0yx9rypy3bs6hfjcln08zmy8qn2qcjzrmvi"))))
+        (base32 "0b4ikf1p2ll4310n4dg5lg0b79wys71fb6nj22i7pz17wjdma0j8"))))
     (build-system gnu-build-system)
     (native-inputs
      (list gnuplot ;needed for test suite
@@ -771,16 +771,21 @@ (define-public leptonica
            pkg-config))
     (inputs
      (list giflib
-           libjpeg-turbo
+           libjpeg-turbo-3
            libpng
            libtiff
            libwebp
-           openjpeg
+           openjpeg-2024
            zlib))
     (arguments
      (list
       #:phases
       #~(modify-phases %standard-phases
+          (add-after 'unpack 'disable-failing-tests
+            (lambda _
+              (substitute* "prog/Makefile.am"
+                (("ioformats_reg") ""); Fails for unclear reason.
+                (("pngio_reg") "")))) ; Fails non-deterministically.
           (add-after 'unpack 'patch-reg-wrapper
             (lambda _
               (substitute* "prog/reg_wrapper.sh"
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68560; Package guix-patches. Full text available.

Message received at 68560 <at> debbugs.gnu.org:


Received: (at 68560) by debbugs.gnu.org; 18 Jan 2024 07:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 02:27:08 2024
Received: from localhost ([127.0.0.1]:54217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQMns-0001rO-98
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:08 -0500
Received: from 81-205-150-117.fixed.kpn.net ([81.205.150.117]:57477
 helo=email.rimm.ee) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <herman@HIDDEN>) id 1rQMnq-0001qi-QH
 for 68560 <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rimm.ee; s=herman;
 t=1705562820;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=a7PdnHagm0TCC3roA3ZmN/g/SCcbmEuINDi0qhWgMxQ=;
 b=EM7z7wFkE2s40S5U8U5n0D1wGnckJTGJknndJ+S82yDE5fckkd9gcnoWMrY4HIuI2V/e4B
 PpXz0FewKnDHT00eiH9NiAe7puKcR6p34jLPkW8jVBF0pCKDeR93XQXtzX0guEdu+Cfs/m
 SVz3fRH3YfvSBli277q9LGp7IhYxlyTz+K3H0gZN22ICLVSVyxqBTfcVoR6yUr8UQltR0k
 /u4n19P9lw/HAfYdALhytD2KxosHVAzRA7EG3UmJo9UTEpAni1WchdZCW7mRyfbWN9fZkr
 mKGJrsbkERaRk04f6PJ4p72C2+z6gZEeppl6sCPjkQ8Uf8FoR+8HJJB8l5fLTQ==
Received: by 81-205-150-117.fixed.kpn.net (OpenSMTPD) with ESMTPSA id 22b73322
 (TLSv1.3:TLS_CHACHA20_POLY1305_SHA256:256:NO); 
 Thu, 18 Jan 2024 07:27:00 +0000 (UTC)
From: Herman Rimm <herman@HIDDEN>
To: 68560 <at> debbugs.gnu.org
Subject: [PATCH v2 2/4] gnu: Add openjpeg-2024.
Date: Thu, 18 Jan 2024 08:26:36 +0100
Message-ID: <205f0e32b37114a9eaeb058ce11a5bf42ebf7ab7.1705562438.git.herman@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1705562438.git.herman@HIDDEN>
References: <cover.1705562438.git.herman@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnp/packages/image.scm (openjpeg-2024): New variable.
 (openjpeg-data):
 Update to latest commit on 2024.01.14. Change-Id:
 I4639bdd21d170246c7962c15ea017a297c00069e
 --- gnu/packages/image.scm | 21 ++++++++++++++++++--- 1 file changed, 18
 insertions(+), 3 deletions(-) 
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [81.205.150.117 listed in zen.spamhaus.org]
 0.0 TVD_RCVD_IP            Message was received from an IP address
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 68560
Cc: Herman Rimm <herman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnp/packages/image.scm (openjpeg-2024): New variable. (openjpeg-data):
    Update to latest commit on 2024.01.14. Change-Id: I4639bdd21d170246c7962c15ea017a297c00069e
    --- gnu/packages/image.scm | 21 ++++++++++++++++++--- 1 file changed, 18
   insertions(+), 3 deletions(-) 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [81.205.150.117 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnp/packages/image.scm (openjpeg-2024): New variable.
(openjpeg-data): Update to latest commit on 2024.01.14.

Change-Id: I4639bdd21d170246c7962c15ea017a297c00069e
---
 gnu/packages/image.scm | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index bc5d68339a..9b120760ae 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -947,17 +947,17 @@ (define-public jbigkit
 (define-public openjpeg-data
   (package
     (name "openjpeg-data")
-    (version "2021.09.26")
+    (version "2024.01.14")
     (source
      (origin
        (method git-fetch)
        (uri
         (git-reference
          (url "https://github.com/uclouvain/openjpeg-data")
-         (commit "1f3d093030f9a0b43353ec6b48500f65786ff57a")))
+         (commit "f9991d5fa9a4a08fc9c29bae6405d6c67cf2b8eb")))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "13jpdaqk7mngk0xw6xbh9zgipip6n25spvqd97hwpfna1zyh8lzh"))))
+        (base32 "1agnpwq2fkwzjf12rmb6f06k80xgd5mnkyjb1fhbpxc5gxy0hwqs"))))
     (build-system copy-build-system)
     (synopsis "Test files for OpenJPEG")
     (description "OpenJPEG-Data contains all files required to run the openjpeg
@@ -1021,6 +1021,21 @@ (define-public openjpeg
     (home-page "https://github.com/uclouvain/openjpeg")
     (license license:bsd-2)))
 
+(define-public openjpeg-2024
+  (package
+    (inherit openjpeg)
+    (name "openjpeg")
+    (version "2024.01.14")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/uclouvain/openjpeg")
+             (commit "0e3b3bd716f2b5178d981b17de9505f94ddfff58")))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0k433n0wv5alvl7vmpiq34a6xgv23nlhy932ciw1lk34667r1ajr"))))))
+
 (define-public giflib
   (package
     (name "giflib")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68560; Package guix-patches. Full text available.

Message received at 68560 <at> debbugs.gnu.org:


Received: (at 68560) by debbugs.gnu.org; 18 Jan 2024 07:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 02:27:08 2024
Received: from localhost ([127.0.0.1]:54215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQMnr-0001rM-UN
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:08 -0500
Received: from 81-205-150-117.fixed.kpn.net ([81.205.150.117]:57477
 helo=email.rimm.ee) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <herman@HIDDEN>) id 1rQMno-0001qi-Nm
 for 68560 <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:27:06 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rimm.ee; s=herman;
 t=1705562815;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=9kO9ohBtM72AWiQ4BmS5BelxRBhftBW7/5JGiNLXUUg=;
 b=Avliab/0helaZzQq7h+B6fICqGYwz65bH/jZYQLYXyo0kmrG961G9ELt7bT/MH2ehb3Omz
 3LV4xavWkymxq26SYNYZFCfohDXnKuxrGiZM4GNTpKrhM+EEDXsWPXmJ/ykWIbQ46BQ+lI
 qalZvu+vh6fqfPMSfrUlMstiJk0DruOgfv1nOOJ1We82UceI6kwTU26PqWB7m1fd7GTqCJ
 1nhbpEMh6I6d3UuqoMHQMbCpJKVDcy2WzRNIF6TOAt2nIWm0bLRmdhC6m6iUVUhej4A+Jr
 MnZDMydGxwIYWTM9GvIfTcJDdt3A6xM786U7AzHpkWt1wQ7iym1gG5dZYnsd1Q==
Received: by 81-205-150-117.fixed.kpn.net (OpenSMTPD) with ESMTPSA id 48344683
 (TLSv1.3:TLS_CHACHA20_POLY1305_SHA256:256:NO); 
 Thu, 18 Jan 2024 07:26:55 +0000 (UTC)
From: Herman Rimm <herman@HIDDEN>
To: 68560 <at> debbugs.gnu.org
Subject: [PATCH v2 1/4] gnu: Add libjpeg-turbo-3.
Date: Thu, 18 Jan 2024 08:26:35 +0100
Message-ID: <59fd00ff772daf39a702168731e383bb4c4fcf5f.1705562438.git.herman@HIDDEN>
X-Mailer: git-send-email 2.41.0
In-Reply-To: <cover.1705562438.git.herman@HIDDEN>
References: <cover.1705562438.git.herman@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/image.scm (libjpeg-turbo-3): Add package.
   Change-Id: Id73508b185ecba7169e958467bdb1ad4d6682285 --- gnu/packages/image.scm
    | 13 +++++++++++++ 1 file changed, 13 insertions(+) diff --git a/gnu/packages/image.scm
    b/gnu/packages/image.scm index 9a7d888560..bc5d68339a 100644 --- a/gnu/packages/image.scm
    +++ b/gnu/packages/image.scm @@ -38,6 +38,7 @@ ;;; Copyright © 2023 Zheng
    [...] 
 
 Content analysis details:   (3.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 TVD_RCVD_IP            Message was received from an IP address
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [81.205.150.117 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 68560
Cc: Herman Rimm <herman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/image.scm (libjpeg-turbo-3): Add package.
   Change-Id: Id73508b185ecba7169e958467bdb1ad4d6682285 --- gnu/packages/image.scm
    | 13 +++++++++++++ 1 file changed, 13 insertions(+) diff --git a/gnu/packages/image.scm
    b/gnu/packages/image.scm index 9a7d888560..bc5d68339a 100644 --- a/gnu/packages/image.scm
    +++ b/gnu/packages/image.scm @@ -38,6 +38,7 @@ ;;; Copyright © 2023 Zheng
    [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [81.205.150.117 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

  * gnu/packages/image.scm (libjpeg-turbo-3): Add package.

Change-Id: Id73508b185ecba7169e958467bdb1ad4d6682285
---
 gnu/packages/image.scm | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/gnu/packages/image.scm b/gnu/packages/image.scm
index 9a7d888560..bc5d68339a 100644
--- a/gnu/packages/image.scm
+++ b/gnu/packages/image.scm
@@ -38,6 +38,7 @@
 ;;; Copyright © 2023 Zheng Junjie <873216071@HIDDEN>
 ;;; Copyright © 2023 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2023 Artyom V. Poptsov <poptsov.artyom@HIDDEN>
+;;; Copyright © 2023 Herman Rimm <herman@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1922,6 +1923,18 @@ (define-public libjpeg-turbo
                    license:ijg          ;the libjpeg library and associated tools
                    license:zlib))))     ;the libjpeg-turbo SIMD extensions
 
+(define-public libjpeg-turbo-3
+  (package
+    (inherit libjpeg-turbo)
+    (version "3.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/libjpeg-turbo/" version
+                           "/libjpeg-turbo-" version ".tar.gz"))
+       (sha256
+        (base32 "0x9ap9wlabi5iv12z22nykcybz4r43l9klmcmjrlgqaaf43rahi2"))))))
+
 (define-public niftilib
   (package
     (name "niftilib")
-- 
2.41.0





Information forwarded to guix-patches@HIDDEN:
bug#68560; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2024 07:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 02:07:15 2024
Received: from localhost ([127.0.0.1]:54196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQMUd-00076V-C1
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:07:15 -0500
Received: from lists.gnu.org ([2001:470:142::17]:49766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <herman@HIDDEN>) id 1rQMUb-00076E-5Z
 for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 02:07:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <herman@HIDDEN>) id 1rQMUR-00057m-3Z
 for guix-patches@HIDDEN; Thu, 18 Jan 2024 02:07:03 -0500
Received: from 81-205-150-117.fixed.kpn.net ([81.205.150.117]
 helo=email.rimm.ee)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <herman@HIDDEN>) id 1rQMUP-0004Y9-Br
 for guix-patches@HIDDEN; Thu, 18 Jan 2024 02:07:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rimm.ee; s=herman;
 t=1705561616;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=/hCySTRz91OT2EmAm3PiTBJrLiNsnygnPlJZD7XpADA=;
 b=RdkYbqbD2Ioxy74qh2uo7eVOF30D1XElw033S0ZQK2Dd6LN0BRLhOB1349YNfb2HLihTf0
 Ptao9P3QOS6SpvrCLgPkPbrXWebousyHyoukjNbx8CXALHHBH8rnXP83ywZ3dQFlnqQwIV
 JYfg15/SXfRuxEvJ0FoC371VMiQ8r2LaxSlY5jfE7GamdWf8e5ZNf3mbMqszkRPZd1gjO0
 K1WMnqvnXK5dvXcZV3hvdKxdu+m/UJSv/VqkfxaH+vXcAaXYSm7o1VZInetlWj4gzkqWMT
 4AvAsgGddsGUTZohKxT/zcCw498MJewXUV2tcdtJzBiSn1+TqdkpiGOy0kziHg==
Received: by 81-205-150-117.fixed.kpn.net (OpenSMTPD) with ESMTPSA id 176652a0
 (TLSv1.3:TLS_CHACHA20_POLY1305_SHA256:256:NO); 
 Thu, 18 Jan 2024 07:06:56 +0000 (UTC)
From: Herman Rimm <herman@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/5] Disable failing leptonica tests.
Date: Thu, 18 Jan 2024 08:05:18 +0100
Message-ID: <cover.1705561497.git.herman@HIDDEN>
X-Mailer: git-send-email 2.41.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=81.205.150.117; envelope-from=herman@HIDDEN;
 helo=email.rimm.ee
X-Spam_score_int: 12
X-Spam_score: 1.2
X-Spam_bar: +
X-Spam_report: (1.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_PBL=3.335, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, TVD_RCVD_IP=0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: Herman Rimm <herman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

I tried to patch leptonica to make all tests pass. In the end I disabled
the two failing tests. Along the way I updated the leptonica package and
its dependencies.

Herman Rimm (5):
  gnu: Add libjpeg-turbo-3.
  gnu: Add openjpeg-2024.
  gnu: leptonica: Update to 1.84.1.
  gnu: libpng: Update to 1.6.40.
  gnu: Guix style leptonica, libpng and libpng-apng.

 gnu/packages/image.scm | 221 +++++++++++++++++++++++------------------
 1 file changed, 126 insertions(+), 95 deletions(-)


base-commit: 270570f09030f8888f613ed18e7b78ae6a7156e0
-- 
2.41.0





Acknowledgement sent to Herman Rimm <herman@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#68560; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 20 Jan 2024 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.